scim_config_module.h File Reference

Define scim::ConfigModule class for manipulating the config modules. More...

## Classes

class | scim::ConfigModule
| The class to manipulate the config modules. More...

## Namespaces

namespace | scim

## Typedefs

typedef void(* | scim::ConfigModuleInitFunc) (void)
| The prototype of initialization function in config modules.
typedef ConfigPointer(* | scim::ConfigModuleCreateConfigFunc) ()
| The prototype of configure object creation function in config modules.

## Functions

int | scim::scim_get_config_module_list (std::vector< String > &mod_list)
| Get a name list of currently available configuration modules.

## Detailed Description

Define scim::ConfigModule class for manipulating the config modules.

Class scim::ConfigModule is a wrapper of class scim::Module, which is for manipulating the configuration modules.